--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/stripe/transaction.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/stripe/transaction.php	2025-03-25 13:43:28.398088000 +0000
@@ -21,15 +21,15 @@
 
 // Load Dolibarr environment
 require '../main.inc.php';
-require_once DOL_DOCUMENT_ROOT.'/societe/class/societe.class.php';
-require_once DOL_DOCUMENT_ROOT.'/adherents/class/adherent.class.php';
-require_once DOL_DOCUMENT_ROOT.'/stripe/class/stripe.class.php';
-//require_once DOL_DOCUMENT_ROOT.'/core/lib/stripe.lib.php';
-require_once DOL_DOCUMENT_ROOT.'/compta/bank/class/account.class.php';
-require_once DOL_DOCUMENT_ROOT.'/commande/class/commande.class.php';
-require_once DOL_DOCUMENT_ROOT.'/compta/facture/class/facture.class.php';
+require_once DOL_DOCUMENT_ROOT . '/societe/class/societe.class.php';
+require_once DOL_DOCUMENT_ROOT . '/adherents/class/adherent.class.php';
+require_once DOL_DOCUMENT_ROOT . '/stripe/class/stripe.class.php';
+require_once DOL_DOCUMENT_ROOT . '/stripe/lib/stripe.lib.php';
+require_once DOL_DOCUMENT_ROOT . '/compta/bank/class/account.class.php';
+require_once DOL_DOCUMENT_ROOT . '/commande/class/commande.class.php';
+require_once DOL_DOCUMENT_ROOT . '/compta/facture/class/facture.class.php';
 if (isModEnabled('accounting')) {
-	require_once DOL_DOCUMENT_ROOT.'/accountancy/class/accountingjournal.class.php';
+	require_once DOL_DOCUMENT_ROOT . '/accountancy/class/accountingjournal.class.php';
 }
 
 /**
@@ -94,25 +94,28 @@
 	print $langs->trans('ErrorStripeAccountNotDefined');
 }*/
 
+
+
+
 if (!$rowid) {
-	print '<form method="POST" action="'.$_SERVER["PHP_SELF"].'">';
+	print '<form method="POST" action="' . $_SERVER["PHP_SELF"] . '">';
 	if ($optioncss != '') {
-		print '<input type="hidden" name="optioncss" value="'.$optioncss.'">';
+		print '<input type="hidden" name="optioncss" value="' . $optioncss . '">';
 	}
-	print '<input type="hidden" name="token" value="'.newToken().'">';
+	print '<input type="hidden" name="token" value="' . newToken() . '">';
 	print '<input type="hidden" name="formfilteraction" id="formfilteraction" value="list">';
 	print '<input type="hidden" name="action" value="list">';
-	print '<input type="hidden" name="sortfield" value="'.$sortfield.'">';
-	print '<input type="hidden" name="sortorder" value="'.$sortorder.'">';
-	print '<input type="hidden" name="page" value="'.$page.'">';
+	print '<input type="hidden" name="sortfield" value="' . $sortfield . '">';
+	print '<input type="hidden" name="sortorder" value="' . $sortorder . '">';
+	print '<input type="hidden" name="page" value="' . $page . '">';
 
 	$title = $langs->trans("StripeTransactionList");
-	$title .= (!empty($stripeacc) ? ' (Stripe connection with Stripe OAuth Connect account '.$stripeacc.')' : ' (Stripe connection with keys from Stripe module setup)');
+	$title .= (!empty($stripeacc) ? ' (Stripe connection with Stripe OAuth Connect account ' . $stripeacc . ')' : ' (Stripe connection with keys from Stripe module setup)');
 
 	print_barre_liste($title, $page, $_SERVER["PHP_SELF"], $param, $sortfield, $sortorder, '', $num, $totalnboflines, 'title_accountancy.png', 0, '', '', $limit);
 
 	print '<div class="div-table-responsive">';
-	print '<table class="tagtable liste'.(!empty($moreforfilter) ? " listwithfilterbefore" : "").'">'."\n";
+	print '<table class="tagtable liste' . (!empty($moreforfilter) ? " listwithfilterbefore" : "") . '">' . "\n";
 
 	print '<tr class="liste_titre">';
 	print_liste_field_titre("Ref", $_SERVER["PHP_SELF"], "", "", "", "", $sortfield, $sortorder);
@@ -124,6 +127,9 @@
 	print "</tr>\n";
 	$connect = "";
 
+	//MODIF JOSE
+	$fk_account_stripe = 5;
+
 	try {
 		if ($stripeacc) {
 			$txn_all = \Stripe\BalanceTransaction::all(array("limit" => $limit), array("stripe_account" => $stripeacc));
@@ -173,7 +179,7 @@
 
 			// Ref
 			if (!empty($stripeacc)) {
-				$connect = $stripeacc.'/';
+				$connect = $stripeacc . '/';
 			}
 
 			// Ref
@@ -185,14 +191,15 @@
 				$origin = "payments";
 			}
 
-			$url = 'https://dashboard.stripe.com/'.$connect.'test/'.$origin.'/'.$txn->source;
+			$url = 'https://dashboard.stripe.com/' . $connect . 'test/' . $origin . '/' . $txn->source;
 			if ($servicestatus) {
-				$url = 'https://dashboard.stripe.com/'.$connect.$origin.'/'.$txn->source;
+				$url = 'https://dashboard.stripe.com/' . $connect . $origin . '/' . $txn->source;
 			}
 			if ($txn->type == 'stripe_fee' || $txn->type == 'reserve_transaction') {
-				print "<td>".$txn->type."</td>";
+
+				print "<td>" . $txn->type . "</td>";
 			} else {
-				print "<td><a href='".$url."' target='_stripe'>".img_picto($langs->trans('ShowInStripe'), 'globe')." ".$txn->source."</a></td>\n";
+				print "<td><a href='" . $url . "' target='_stripe'>" . img_picto($langs->trans('ShowInStripe'), 'globe') . " " . $txn->source . "</a></td>\n";
 			}
 
 			// Stripe customer
@@ -219,12 +226,28 @@
 			//}
 			//print "</td>\n";
 			// Date payment
-			print '<td class="center">'.dol_print_date($txn->created, 'dayhour')."</td>\n";
+			print '<td class="center">' . dol_print_date($txn->created, 'dayhour') . "</td>\n";
 			// Type
-			print '<td>'.$txn->type.'</td>';
+			print '<td>' . $txn->type . '</td>';
 			// Amount
-			print '<td class="right"><span class="amount">'.price(($txn->amount) / 100, 0, '', 1, - 1, - 1, strtoupper($txn->currency))."</span></td>";
-			print '<td class="right"><span class="amount">'.price(($txn->fee) / 100, 0, '', 1, - 1, - 1, strtoupper($txn->currency))."</span></td>";
+			print '<td class="right"><span class="amount">' . price(($txn->amount) / 100, 0, '', 1, -1, -1, strtoupper($txn->currency)) . "</span></td>";
+			print '<td class="right"><span class="amount">' . price(($txn->fee) / 100, 0, '', 1, -1, -1, strtoupper($txn->currency)) . "</span></td>";
+
+			//MODIF JOSE
+			if ($txn->fee > 0 && getDolGlobalInt('STRIPE_AUTO_ADD_FEES_TO_BANK')) {
+
+
+				stripeAddPaymentFeeOnBank(
+					$txn->source,
+					$txn->fee / 100,
+					$fk_account_stripe,
+					$txn->id,
+					$txn->created,
+					$txn->created
+				);
+			}
+			//END MODIF
+
 			// Status
 			print "<td class='right'>";
 			if ($txn->status == 'available') {
@@ -238,7 +261,7 @@
 			print "</tr>\n";
 		}
 	} catch (Exception $e) {
-		print '<tr><td colspan="6">'.$e->getMessage().'</td></td>';
+		print '<tr><td colspan="6">' . $e->getMessage() . '</td></td>';
 	}
 	print "</table>";
 	print '</div>';

########## viewimage.php
--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/viewimage.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/viewimage.php	2025-02-27 08:48:52.889060000 +0000
@@ -189,17 +189,20 @@
  * View
  */
 
-$cachestring = GETPOST("cache", 'aZ09');	// May be 1, or an int, or a hash
-if ($cachestring) {
+if (GETPOST("cache", 'alpha')) {
 	// Important: The following code is to avoid a page request by the browser and PHP CPU at each Dolibarr page access.
 	// We are here when param cache=xxx to force a cache policy:
 	//  xxx=1 means cache of 3600s
 	//  xxx=abcdef or 123456789 means a cache of 1 week (the key will be modified to get break cache use)
 	if (empty($dolibarr_nocache)) {
-		$delaycache = ((is_numeric($cachestring) && (int) $cachestring > 1 && (int) $cachestring < 999999) ? $cachestring : '3600');
+		if (GETPOST('cache', 'alpha') != '1') {
+			$delaycache = 3600 * 24 * 7;
+		} else {
+			$delaycache = 3600;
+		}
 		header('Cache-Control: max-age='.$delaycache.', public, must-revalidate');
 		header('Pragma: cache'); // This is to avoid to have Pragma: no-cache set by proxy or web server
-		header('Expires: '.gmdate('D, d M Y H:i:s', time() + (int) $delaycache).' GMT');	// This is to avoid to have Expires set by proxy or web server
+		header('Expires: '.gmdate('D, d M Y H:i:s', time() + $delaycache).' GMT');	// This is to avoid to have Expires set by proxy or web server
 	} else {
 		// If any cache on files were disable by config file (for test purpose)
 		header('Cache-Control: no-cache');

########## website/samples/wrapper.php
--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/website/samples/wrapper.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/website/samples/wrapper.php	2025-02-27 08:48:53.029658000 +0000
@@ -38,6 +38,7 @@
 if ($limit <= 0 || $limit > 100) {
 	$limit = 20;
 }
+$cachedelay = GETPOSTINT('cachedelay');		// The delay in second of the cache
 
 // Parameters for RSS
 $rss = GETPOST('rss', 'aZ09');
@@ -128,13 +129,12 @@
 $original_file = str_replace("../", "/", $original_file);
 
 // Cache or not
-$cachestring = GETPOST("cache", 'aZ09');	// May be 1, or an int (delay in second of the cache if < 999999, or a timestamp), or a hash
+$cachestring = GETPOST("cache", 'aZ09');	// May be 1, or an int, or a hash
 if ($cachestring || image_format_supported($original_file) >= 0) {
-	// Important: Following code is to avoid page request by browser and PHP CPU at each Dolibarr page access.
-	$delaycache = GETPOSTINT('cachedelay') ? GETPOSTINT('cachedelay') : ((is_numeric($cachestring) && (int) $cachestring > 1 && (int) $cachestring < 999999) ? $cachestring : '3600');
-	header('Cache-Control: max-age='.$delaycache.', public, must-revalidate');
+	// Important: Following code is to avoid page request by browser and PHP CPU at
+	// each Dolibarr page access.
+	header('Cache-Control: max-age='.((is_numeric($cachestring) && (int) $cachestring > 1 && (int) $cachestring < 999999) ? $cachestring : '3600').', public, must-revalidate');
 	header('Pragma: cache'); // This is to avoid having Pragma: no-cache
-	header('Expires: '.gmdate('D, d M Y H:i:s', time() + (int) $delaycache).' GMT');	// This is to avoid to have Expires set by proxy or web server
 }
 
 $refname = basename(dirname($original_file)."/");
